To follow along with this book, you’ll need the following:

  • Android device: You’ll need a device to test out the book examples. You can either use an emulator (AVD) or a real device.

  • Kotlin 1.6 or later: This book uses Kotlin 1.6 throughout. The materials may work with older Kotlin versions, but they aren’t tested.

  • Android Studio 2021.2.1 or later: As Android Studio is the main tool for Android app development, you’ll need to install AS Chipmunk or a newer version on your machine to try out the book examples. Download the latest version from the Android developer site: https://developer.android.com/studio.

The code covered in this book depends on Android 12, Kotlin 1.6 and Android Studio 2021.2.1 — you may experience issues if you try to work with older versions.

Have a technical question? Want to report a bug? You can ask questions and report bugs to the book authors in our official book forum here.

© 2022 Razeware LLC